Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505116 - sys-apps/portage - man emerge should note that --quiet-build n doesn't work if --jobs is specified
Summary: sys-apps/portage - man emerge should note that --quiet-build n doesn't work i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-03-19 20:33 UTC by Austin English (RETIRED)
Modified: 2015-02-15 01:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
manpage patch (emerge_manpage.diff,580 bytes, patch)
2014-03-21 01:34 UTC, Austin English (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Austin English (RETIRED) gentoo-dev 2014-03-19 20:33:17 UTC
I wanted to view logs for an emerge, and specified --quiet-build n on the emerge command line (found via the manpage). This does not print anything to stdout, however, if --jobs is specified (in this case, in make.conf).

adding --jobs=1 worked around it.

Please update the manpage to reflect that (and/or preferably issue a warning if --quiet-build n is specified while --jobs is).

Reproducible: Always

Steps to Reproduce:
emerge --quiet-build n sys-devel/gcc
Actual Results:  
gcc builds, with quiet output

Expected Results:  
gcc builds, with output going to stdout
Comment 1 Ben Kohler gentoo-dev 2014-03-19 20:47:09 UTC
This is explained under --jobs in man emerge:

-j [JOBS], --jobs[=JOBS]
Specifies the number of packages to build simultaneously. If  this
option  is  given  without  an argument, emerge will not limit the
number of jobs that can run simultaneously. Also see  the  related
--load-average option.  Similarly to the --quiet-build option, the
--jobs option causes all build output to be  redirected  to  logs.
Note  that  interactive  packages  currently  force  a  setting of
--jobs=1. This issue can  be  temporarily  avoided  by  specifying
--accept-properties=-interactive.
Comment 2 Alex Xu (Hello71) 2014-03-19 21:14:27 UTC
It doesn't make sense to randomly intersperse multiple jobs' output.

If you want to see the output of the build, tail -f $PORTAGE_TMPDIR/$P/temp/build.log.
Comment 3 Austin English (RETIRED) gentoo-dev 2014-03-21 01:34:35 UTC
Created attachment 373160 [details, diff]
manpage patch

Please consider this patch to the manpage.
Comment 4 Zac Medico gentoo-dev 2014-12-05 02:36:50 UTC
(In reply to austinenglish@gmail.com from comment #3)
> Created attachment 373160 [details, diff] [details, diff]
> manpage patch
> 
> Please consider this patch to the manpage.

Looks good to me.
Comment 5 Zac Medico gentoo-dev 2014-12-05 15:34:06 UTC
I've posted the patch for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/4899
Comment 6 Zac Medico gentoo-dev 2014-12-08 15:41:13 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/0eecbc899ad9b97cb786ad9b10cc7a5d56c35e79
Comment 7 Brian Dolbec gentoo-dev 2015-02-15 01:02:13 UTC
Released in portage-2.2.16.